### Constructor

# Gtk.ColumnViewColumn.new

#### Declaration [src]

    GtkColumnViewColumn*
    gtk_column_view_column_new (
      const char* title,
      GtkListItemFactory* factory
    )

#### Description [src]

Creates a new `GtkColumnViewColumn` that uses the given `factory` for mapping items to widgets.

You most likely want to call `gtk_column_view_append_column()` next.

The function takes ownership of the argument, so you can write code like:

    column = gtk_column_view_column_new (_("Name"),
      gtk_builder_list_item_factory_new_from_resource ("/name.ui"));

#### Parameters

`title` | `const char*`
| Title to use for this column
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`factory` | `GtkListItemFactory`
| The factory to populate items with
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkColumnViewColumn`
a new `GtkColumnViewColumn` using the given `factory`
Ownership of the data is transferred to the caller